Bug 766573 - cacti-0.8.7i is available
cacti-0.8.7i is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cacti (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-12 06:08 EST by Upstream Release Monitoring
Modified: 2012-04-04 09:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-10 18:15:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2011-12-12 06:08:56 EST
Latest upstream release: 0.8.7i
Current version in Fedora Rawhide: 0.8.7h
URL: http://www.cacti.net/downloads/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Ken Dreyer 2011-12-12 09:46:44 EST
Release notes claim more security fixes (http://www.cacti.net/release_notes_0_8_7i.php):

" bug#0002062: Multiple security vulnerabilities"

Which is http://bugs.cacti.net/view.php?id=2062 .
Comment 2 Fedora Update System 2011-12-12 10:20:28 EST
cacti-0.8.7i-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cacti-0.8.7i-1.fc16
Comment 3 Fedora Update System 2011-12-12 10:21:58 EST
cacti-0.8.7i-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cacti-0.8.7i-1.fc15
Comment 4 Fedora Update System 2011-12-12 10:24:35 EST
cacti-0.8.7i-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cacti-0.8.7i-1.el6
Comment 5 Fedora Update System 2011-12-12 10:26:55 EST
cacti-0.8.7i-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cacti-0.8.7i-1.el5
Comment 6 Fedora Update System 2011-12-12 10:29:58 EST
cacti-0.8.7i-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cacti-0.8.7i-1.el4
Comment 7 Fedora Update System 2011-12-22 17:34:06 EST
cacti-0.8.7i-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-12-22 17:37:51 EST
cacti-0.8.7i-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-12-29 17:00:14 EST
cacti-0.8.7i-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-12-29 17:01:59 EST
cacti-0.8.7i-2.el4.1 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-12-29 17:02:14 EST
cacti-0.8.7i-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Phil Hale 2012-01-03 18:52:32 EST
I've been using the EPEL package for cacti and applying the Plugin Archch patches that used to be available from: http://www.cacti.net/downloads/pia/.  As of 0.8.7i, the upstream are no longer making people patch Cacti to use the plugin architecture (see http://forums.cacti.net/viewtopic.php?f=4&t=45871).  The now offer an additional download (Cacti 0.8.7i with Plugin Architecture version 3.1).  Is there a way to offer this package in EPEL as well?  Maybe as a package called cacti-pia?
Comment 13 Ken Dreyer 2012-01-03 19:18:29 EST
Hi Phil,

I did see that in the release announcement. I don't have experience with PIA and I'm unfamiliar with upstream's plans. Is PIA eventually going to be merged into the mainline cacti distribution?
Comment 14 Phil Hale 2012-01-03 19:37:17 EST
Thanks for replying Ken,

It is my understanding that it will be merged into the mainline code in the future.  In the past, I would simply apply the separate patch file they provided.  As it stands now, I can't do that.  I might try to do a custom rpm build based on your cacti.spec file using the provided combined download file and see what the results are.  As it stands now, I've got the base cacti updated, but the plugins are not working.
Comment 15 Brian Flad 2012-01-07 21:36:12 EST
Hi Ken,

Thanks for getting upstream updated quickly. Our environment is setup similar to Phil's where we install the EPEL Cacti package and run the Plugin Architecture patch script that upstream provides. Since upstream no longer provides the patch script, there's no way to include PIA anymore. Unfortunately in my case, since we use the thresholds plugin extensively for monitoring, we're left without those monitors until its patched with PIA.

I would also suggest the creation of a separate package that includes PIA baked in as a stopgap until the codebases are completely merged, which looks a few months off still. Unless Phil has already had success, I can attempt to create and install a modified Cacti+PIA package using the current Cacti SPEC file as the template.
Comment 16 Ken Dreyer 2012-01-10 18:13:37 EST
Hi Brian,

Yeah, the PIA situation isn't good for packaging. The upstream project has basically created a fork here. I'm hoping PIA gets merged soon, but until that point I'm hesitant to add this into the official EPEL package.
Comment 17 Ken Dreyer 2012-04-04 09:58:48 EDT
Hi all,

Please see Bug 809753 for PIA in Cacti.

Note You need to log in before you can comment on or make changes to this bug.